=== debian/changelog ===
dnaclust (3-3build1) wily; urgency=medium

  * No change rebuild for boost1.58.

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 11 Aug 2015 23:52:26 +0100

dnaclust (3-3) unstable; urgency=medium

  * Fix Vcs fields
  * Moved debian/upstream to debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Fri, 27 Mar 2015 14:46:09 +0100

dnaclust (3-2) unstable; urgency=medium

  * Move /usr/bin/fastasor to /usr/lib/dnaclust/fastasor to avoid
    name space conflict with exonerate.
    Closes: #737913

 -- Andreas Tille <tille@debian.org>  Tue, 11 Feb 2014 10:02:25 +0100

dnaclust (3-1) unstable; urgency=low

  * Initial release (Closes: #737327)

 -- Andreas Tille <tille@debian.org>  Sat, 01 Feb 2014 17:10:29 +0100
