=== debian/control ===
Source: dnaclust
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libboost-dev,
               libboost-program-options-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dnaclust.git
Vcs-Git: git://anonscm.debian.org/debian-med/dnaclust.git
Homepage: http://dnaclust.sourceforge.net/

Package: dnaclust
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tool for clustering millions of short DNA sequences
 dnaclust is a tool for clustering large number of short DNA sequences.
 The clusters are created in such a way that the "radius" of each
 clusters is no more than the specified threshold.
 .
 The input sequences to be clustered should be in Fasta format. The id
 of each sequence is based on the first word of the seqeunce in the Fasta
 format. The first word is the prefix of the header up to the first
 occurance of white space characters in the header.
