=== debian/watch ===
version=3
http://sf.net/dnaclust/dnaclust_repo_release([\d.]+)\.zip
